package server.clipboard;

import common.tags.TagObject;
import common.tileentity.TileEntity;
import common.world.State;

public class ClipboardBlock {
    private State state;
    private TagObject nbt;
    
    public ClipboardBlock(State state) {
    	this.state = state;
    }
    
    public ClipboardBlock(State data, TileEntity tile) {
        this(data);
        TagObject tag = new TagObject();
        tile.writeToNBT(tag);
        this.nbt = tag;
    }
    
    public State getState() {
        return this.state;
    }
    
    public void setState(State state) {
    	this.state = state;
    }
    
    public TagObject getNbtData() {
        return this.nbt;
    }
}
